/* Rename Dlls of an OS/2 Runtime Environment, Java Edition to avoid conflicts */
/* (c) Copyright IBM Corporation, 1998. All rights reserved. */
/* US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. */
/* Java is a trademark of Sun Microsystems, Inc. in the U.S. and other countries. */

call RxFuncAdd 'SysFileTree', 'RexxUtil', 'SysFileTree'
parse arg jredir newJavai newJavar oldJavai oldJavar int

/* Original shipped names of javai and javar in the JRE */
if oldJavai = '' then oldJavai = 'javri'
if oldJavar = '' then oldJavar = 'javrr'
/* Original names of javai and javai in the JDK */
origJavai = 'javai'
origJavar = 'javar'

if newJavar = '' then do
   parse source . . fn .
   say 'Usage:' fn '<JRE directory> <new Javai name> <new Javar name>'
   return 1
end

if newJavai = newJavar then do
   say 'DLL name' newJavai 'must differ from DLL name' newJavar
   exit 1
end

call checkdll oldJavai newJavai jredir int
call checkdll oldJavar newJavar jredir int

rc = sysFileTree(jredir'\dll\*.dll','files','fo')
do i = 1 to files.0 while rc = 0
  'rendllja' files.i oldJavai'='newJavai oldJavar'='newJavar origJavai'='newJavai origJavar'='newJavar
end
rc = sysFileTree(jredir'\bin\*.dll','files','fo')
do i = 1 to files.0 while rc = 0
  'rendllja' files.i oldJavai'='newJavai oldJavar'='newJavar origJavai'='newJavai origJavar'='newJavar
end
/* EXE files in the JRE should not import javai.dll javar.dll directly */
/* so do not need changing. */

/* Say which DLL needs to be loaded. */
'echo jre.RuntimeLibName =' newJavai'.dll>'jredir'\lib\jre.prp'

if rc <> 0 then say 'Error(s) detected, rc='rc

return r

checkdll: procedure
parse arg old new dir int
if length(new) <> length(old) then do
   say 'Length of DLL name' new 'must be' length(old) 'characters'
   exit 1
end
if translate(left(new, 3)) = translate(left(old, 3)) & int <> 'IBMinternalbuild' then do
   say 'DLL name' new 'must not begin with' translate(left(old, 3))
   exit 1
end
if stream(dir'\dll\'old'.dll', 'C', 'QUERY EXISTS') = '' then do
   say 'DLL name' dir'\dll\'old'.dll not found'
   exit 1
end
return

